commit: 1bf69820b0ea05e5180d6d5e4da4e0f09dc26cca
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 5 08:57:36 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 5 08:59:23 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bf69820
dev-python/linecache2: Eliminate unittest2 dep
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/linecache2/linecache2-1.0.0-r1.ebuild | 16 ++++++++--------
1 file changed, 8 insertions(+), 8 deletions(-)
diff --git a/dev-python/linecache2/linecache2-1.0.0-r1.ebuild
b/dev-python/linecache2/linecache2-1.0.0-r1.ebuild
index 9b0a2e825b1..aab01856e99 100644
--- a/dev-python/linecache2/linecache2-1.0.0-r1.ebuild
+++ b/dev-python/linecache2/linecache2-1.0.0-r1.ebuild
@@ -1,10 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} pypy3 )
+EAPI=8
+PYTHON_COMPAT=( python3_{8..9} pypy3 )
inherit distutils-r1
DESCRIPTION="Backports of the linecache module"
@@ -14,16 +13,17 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="PSF-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv
~s390 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
BDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
test? (
dev-python/fixtures[${PYTHON_USEDEP}]
- dev-python/unittest2[${PYTHON_USEDEP}]
)"
-python_test() {
- "${PYTHON}" -m unittest2 discover || die "tests failed under ${EPYTHON}"
+distutils_enable_tests unittest
+
+src_prepare() {
+ # eliminate unittest2 dep
+ sed -i -e '/unittest/s:2 as.*::' linecache2/tests/test_linecache.py ||
die
+ distutils-r1_src_prepare
}